#include "../cg/saldacon.h"
#include <pagsca.h>
#include <scadenze.h>
#include <partite.h>

#include "sc21pec.h"
#include "sc2102.h"
#include "sc2402.h"

#include <causali.h>

TSol_mask::TSol_mask(const char *name)
          :TESSL_mask(name)
          
{
}

TSol_mask::~TSol_mask() {}             

bool TSol_mask::get_sel_tot_saldo() const

{
  return get_bool(F_RIFIMPMIN);
}

real TSol_mask::get_sel_importo() const

{
  return real(get(F_IMPORMIN));
}

///////////////////////////////////////////////////////////
// TSol_row
///////////////////////////////////////////////////////////

TSol_row::TSol_row(const TRiga_partite& row, const TDate& data, const TImporto& imp, int rata)
         :TESSL_row(row, data, imp, rata)

{        
}

TSol_row::TSol_row(const char* desc, const TImporto& imp)
         :TESSL_row(desc, imp)

{}

///////////////////////////////////////////////////////////
// TSol_form: form speciale per solleciti
///////////////////////////////////////////////////////////

TSol_form::TSol_form(const TSol_mask& m, short id_datalim)
          :TESSL_form(m, id_datalim)

{ 
  _sel_tot_saldo = m.get_sel_tot_saldo();
  _sel_importo = m.get_sel_importo();
}

///////////////////////////////////////////////////////////
// TSol_array
///////////////////////////////////////////////////////////

TSol_array::TSol_array(const TPartita& game, const TSol_form* f)
           :TESSL_array(game, f)

{ 
}


